=== debian/changelog ===
libcsfml (3.0.0~rc1-2) experimental; urgency=medium

  * Re-upload after previous version was rejected.

 -- James Cowgill <jcowgill@debian.org>  Sun, 16 Feb 2025 15:57:27 +0000

libcsfml (3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Change library package suffix to 3.0

  * d/copyright: Updates for 3.0
  * d/*.symbols: Update symbols for 3.0
  * d/rules:
    - Build examples as a simple test.
    - Only build the documentation in build-indep builds.
    - Run testsuite at build time.
  * d/patches:
    * Use find_package to find Catch2
    * Avoid doing a real name resolution in sfIpAddress_fromString test.
  * d/tests:
    - Rename existing test to smoke-test.
    - Update smoke test to work with csfml 3.0.
    - Mark smoke-build as superficial.
    - Add upstream-tests test.
  * d/watch: Update watch to work with -rc versions.

 -- James Cowgill <jcowgill@debian.org>  Sun, 16 Feb 2025 15:07:26 +0000
