=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
		-DCSFML_BUILD_DOC=$(if $(findstring libcsfml-doc,$(shell dh_listpackages)),ON,OFF) \
		-DCSFML_BUILD_EXAMPLES=ON \
		-DCSFML_BUILD_TEST_SUITE=ON

execute_after_dh_auto_build-indep:
	dh_auto_build -- doc

override_dh_auto_test-indep:
