## libcsfml 3.0.0~rc2

=== debian/changelog ===
libcsfml (3.0.0~rc2-2) unstable; urgency=medium

  * Upload to unstable.

 -- James Cowgill <jcowgill@debian.org>  Wed, 03 Sep 2025 19:18:46 +0100

libcsfml (3.0.0~rc2-1) experimental; urgency=medium

  * New upstream release.

  * d/copyright: Add SFML logo.
  * d/*.symbols: Add new symbols in 3.0-rc2.
  * d/rules: Use -fexcess-precision=standard on i386 to fix test failures.

 -- James Cowgill <jcowgill@debian.org>  Sat, 30 Aug 2025 21:12:02 +0100
