=== debian/changelog ===
libcsfml (3.0.0~rc3-1) unstable; urgency=medium

  * New upstream release.

  * d/control: Bump standards version.
  * d/libcsfml-graphics3.0.symbols: Add new symbols in 3.0-rc3.

 -- James Cowgill <jcowgill@debian.org>  Fri, 12 Sep 2025 22:25:00 +0100
