=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libsfml-dev (>= 3.0)
 Build-Depends-Indep: doxygen
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.sfml-dev.org
 Vcs-Git: https://salsa.debian.org/games-team/libcsfml.git
 Vcs-Browser: https://salsa.debian.org/games-team/libcsfml
