=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+ifeq ($(DEB_HOST_ARCH_CPU),i386)
+# Fixes test suite failures on i386 which rely on float precision
+export DEB_CXXFLAGS_MAINT_APPEND = -fexcess-precision=standard
+endif
 
 %:
 	dh $@
