=== debian/tests/control ===
Tests: smoke-build
Depends: gcc, libc-dev, libcsfml-dev, pkg-config
Restrictions: superficial

Tests: upstream-tests
Depends: cmake, g++, libcatch2-dev, libcsfml-dev, make, pkg-config
Restrictions: allow-stderr
