=== debian/watch ===
# See uscan(1) for format
version=4

# From GitHub
opts=uversionmangle=s/-rc\./~rc/,dversionmangle=auto \
  https://github.com/SFML/CSFML/tags .*/v?(\d\S*)\.tar\.gz
