=== debian/changelog ===
libcsfml (3.0.0-1) unstable; urgency=medium

  * New upstream release.

  * d/copyright: Update years.
  * d/control:
    - Remove redundant Priority and R3 fields.
    - Bump standards version to 4.7.3
  * d/watch: Use uscan v5

 -- James Cowgill <jcowgill@debian.org>  Sat, 17 Jan 2026 18:06:50 +0000
