=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libcsfml
 Section: libs
-Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  James Cowgill <jcowgill@debian.org>
@@ -10,8 +9,7 @@
  libcatch2-dev (>= 3.7),
  libsfml-dev (>= 3.0)
 Build-Depends-Indep: doxygen
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://www.sfml-dev.org
 Vcs-Git: https://salsa.debian.org/games-team/libcsfml.git
 Vcs-Browser: https://salsa.debian.org/games-team/libcsfml
