=== debian/watch ===
Version: 5
Template: GitHub
Owner: SFML
Project: CSFML
Uversion-Mangle: auto
